Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.stats
Interface StatisticsRecorderMBean

All Known Subinterfaces:
  ObserverStatisticsRecorderMBean, TimedStatisticsRecorderMBean, ValueStatisticsRecorderMBean

All Known Implementing Classes:
  AbstractStatisticsRecorder, ObserverStatisticsRecorder, TimedStatisticsRecorder, ValueStatisticsRecorder

public interface StatisticsRecorderMBean

Management interface to be implemented by recorder MBeans. RecorderMBeans store a value and also keep statistics about the given value. Different implementations can determine how to acquire and calculate the value.

The MBean doesn't starts automatically. It has to wait for a `start()` call

Version:
  $Revision: 1.4 $
See Also:
  `PointTime`

Method Summary
`java.lang.Number` | `getAverage()` Returns the Average Value
`java.util.SortedMap` | `getEntries()` Returs a sorted map of the recorded values indexed by PointTime
`java.lang.Number` | `getMax()` Returns the Maximum Value
`int` | `getMaxEntries()` Returns how many entries may be recorded.
`java.lang.Number` | `getMin()` Returns the Minimum Value
`java.util.Date` | `getRecordingStart()` Returns the date when it started recording
`boolean` | `isActive()` Indicates whether the MBean is recording values
`void` | `setMaxEntries(int maxEntries)` Sets the maximum entries stored in this recorder
`void` | `start()` Starts recording a variable
`void` | `stop()` Stops recording a variable

Method Detail

### getMax

    public java.lang.Number getMax()

  Returns the Maximum Value

### getAverage

    public java.lang.Number getAverage()

  Returns the Average Value

### getMin

    public java.lang.Number getMin()

  Returns the Minimum Value

### getMaxEntries

    public int getMaxEntries()

  Returns how many entries may be recorded. When the maximum amount is reached the default behaviour is to forget the oldest one

### setMaxEntries

    public void setMaxEntries(int maxEntries)

  Sets the maximum entries stored in this recorder

### getRecordingStart

    public java.util.Date getRecordingStart()

  Returns the date when it started recording

### getEntries

    public java.util.SortedMap getEntries()

  Returs a sorted map of the recorded values indexed by PointTime

### isActive

    public boolean isActive()

  Indicates whether the MBean is recording values

### start

    public void start()

  Starts recording a variable

### stop

    public void stop()

  Stops recording a variable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.